## org.apache.bcel.generic
Interface TypedInstruction

All Known Subinterfaces:
  ConstantPushInstruction

All Known Implementing Classes:
  ACONST_NULL, ArithmeticInstruction, ArrayInstruction, BIPUSH, ConversionInstruction, CPInstruction, DCMPG, DCMPL, DCONST, FCMPG, FCMPL, FCONST, FieldInstruction, ICONST, InvokeInstruction, JsrInstruction, LCMP, LCONST, LDC, LDC2_W, LocalVariableInstruction, RET, ReturnInstruction, SIPUSH

public interface TypedInstruction

Get the type associated with an instruction, int for ILOAD, or the type of the field of a PUTFIELD instruction, e.g..

Version:
  $Id: TypedInstruction.java,v 1.1.1.1 2001/10/29 20:00:28 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`Type` `getType(ConstantPoolGen cpg)`

Method Detail

### getType

    public Type getType(ConstantPoolGen cpg)

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.